﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Windows.Helpers;
using Infragistics;

namespace TestWindowsApp
{
	public class Person : PropertyChangeNotifier
	{
		private string _name;
		public string Name
		{
			get { return _name; }
			set
			{
				if (_name != value)
				{
					_name = value;
					this.RaisePropertyChangedEvent("Name");
				}
			}
		}

		private string _department;
		public string Department
		{
			get { return _department; }
			set
			{
				if (_department != value)
				{
					_department = value;
					this.RaisePropertyChangedEvent("Department");
				}
			}
		}

		public override string ToString()
		{
			return this.Name;
		}
	}
}
