﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace TestWindowsApp
{
	public static class SampleHelper
	{
		#region CreatePeopleList
		public static ObservableCollection<Person> CreatePeopleList()
		{
			var list = new ObservableCollection<Person>();

			list.Add(new Person { Name = "John Doe", Department = "Sales" });
			list.Add(new Person { Name = "James Wood", Department = "Marketing" });
			list.Add(new Person { Name = "Mary Rogers", Department = "IT" });
			list.Add(new Person { Name = "Barbara Blake", Department = "Support" });
			list.Add(new Person { Name = "Paul Stack", Department = "R&D" });

			return list;
		}
		#endregion //CreatePeopleList

		private static int _counter;
		public static Person CreatePerson()
		{
			return new Person { Name = "John " + (_counter++).ToString(), Department = "R&D" };
		}
	}
}
